Can't update redmine

Added by Florian Krauthan about 7 years ago

Hi,

If I upgrade redmine from version 2.2.2 to 2.2.3 and I run bundle install --without development test I get the following error:

Bundler could not find compatible versions for gem "actionpack":
  In snapshot (Gemfile.lock):
    actionpack (3.2.11)

  In Gemfile:
    rails (= 3.2.12) ruby depends on
      actionpack (= 3.2.12) ruby

Running `bundle update` will rebuild your snapshot from scratch, using only
the gems in your Gemfile, which may resolve the conflict.

I am using the svn 2.2-stable branch.

Thanks,
Florian

Replies (8)

RE: Can't update redmine - Added by Jan Niggemann (redmine.org team member) about 7 years ago

Your Gemfile.lock specifies the older version 3.2.11 while Gemfile requires 3.2.12, this is a conflict that bundler cannot resolve. Try bundle update instead of bundle install...

RE: Can't update redmine - Added by Florian Krauthan about 7 years ago

But shouldn't that be managed by the redmine Team to make sure the lock file is correct? I thought this lock file is shipped with redmine?

RE: Can't update redmine - Added by Jan Niggemann (redmine.org team member) about 7 years ago

No, the Gemfile contains requirements (gems and versions you want to use), the Gemfile.lock is created by bundler during installation and contains the actual versions that were installed...

RE: Can't update redmine - Added by Florian Krauthan about 7 years ago

Oh I thought the Gemfile contains the general version. And the Gemfile.lock is the actual installed version/revision so that every bundle install on any pc to any time install 100% the same version.

RE: Can't update redmine - Added by Florian Krauthan about 7 years ago

After using bunlde update everything works now. Thanks for the help.

RE: Can't update redmine - Added by Jan Niggemann (redmine.org team member) about 7 years ago

Florian Krauthan wrote:

Oh I thought the Gemfile contains the general version. And the Gemfile.lock is the actual installed version/revision so that every bundle install on any pc to any time install 100% the same version.

That's not wrong either, if you distribute the Gemfile.lock then it's just like you're saying.

RE: Can't update redmine - Added by Florian Krauthan about 7 years ago

Ah and redmine isn't distributing this file right?

RE: Can't update redmine - Added by Jan Niggemann (redmine.org team member) about 7 years ago

Right, we just distribute the Gemfile.

(1-8/8)